Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.client
Class XmlRpcCommonsTransport

    java.lang.Object
      org.apache.xmlrpc.client.XmlRpcTransportImpl
          org.apache.xmlrpc.client.XmlRpcStreamTransport
              org.apache.xmlrpc.client.XmlRpcHttpTransport
                  org.apache.xmlrpc.client.XmlRpcCommonsTransport

All Implemented Interfaces:
  XmlRpcTransport

    public class XmlRpcCommonsTransport

extends XmlRpcHttpTransport

An HTTP transport factory, which is based on the Jakarta Commons HTTP Client.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`XmlRpcHttpTransport.ByteArrayReqWriter`

Nested classes/interfaces inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`XmlRpcStreamTransport.GzipReqWriter, XmlRpcStreamTransport.ReqWriter, XmlRpcStreamTransport.ReqWriterImpl`

Field Summary
`protected HttpClient` | `client`
`protected PostMethod` | `method`

Fields inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`USER_AGENT`

Constructor Summary
`XmlRpcCommonsTransport(XmlRpcCommonsTransportFactory pFactory)` Creates a new instance.

Method Summary
`protected void` | `close()` Closes the connection and ensures, that all resources are being released.
`protected java.io.InputStream` | `getInputStream()` Returns the input stream, from which the response is being read.
`protected void` | `initHttpHeaders(XmlRpcRequest pRequest)`
`protected boolean` | `isRedirectRequired()`
`protected boolean` | `isResponseGzipCompressed()`
`protected boolean` | `isResponseGzipCompressed(XmlRpcStreamRequestConfig pConfig)` Returns, whether the response is gzip compressed.
`protected HttpClient` | `newHttpClient()`
`protected PostMethod` | `newPostMethod(XmlRpcHttpClientConfig pConfig)`
`protected void` | `resetClientForRedirect()`
`protected void` | `setContentLength(int pLength)`
`protected void` | `setCredentials(XmlRpcHttpClientConfig pConfig)`
`protected void` | `setRequestHeader(java.lang.String pHeader, java.lang.String pValue)`
`protected void` | `writeRequest(XmlRpcStreamTransport.ReqWriter pWriter)`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcHttpTransport
`getUserAgent, isUsingByteArrayOutput, newReqWriter, sendRequest, setCompressionHeaders`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcStreamTransport
`isCompressingRequest, newXMLReader, readResponse`

Methods inherited from class org.apache.xmlrpc.client.XmlRpcTransportImpl
`getClient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### client

    protected final HttpClient client

### method

    protected PostMethod method

Constructor Detail

### XmlRpcCommonsTransport

    public XmlRpcCommonsTransport(XmlRpcCommonsTransportFactory pFactory)

  Creates a new instance.

  Parameters:
    `pFactory` - The factory, which created this transport.

Method Detail

### setContentLength

    protected void setContentLength(int pLength)

  Overrides:
    `setContentLength` in class `XmlRpcHttpTransport`

### newHttpClient

    protected HttpClient newHttpClient()

### initHttpHeaders

    protected void initHttpHeaders(XmlRpcRequest pRequest)
                            throws XmlRpcClientException

  Overrides:
    `initHttpHeaders` in class `XmlRpcHttpTransport`
  Throws:
    `XmlRpcClientException`

### newPostMethod

    protected PostMethod newPostMethod(XmlRpcHttpClientConfig pConfig)

### setRequestHeader

    protected void setRequestHeader(java.lang.String pHeader,
                                    java.lang.String pValue)

  Specified by:
    `setRequestHeader` in class `XmlRpcHttpTransport`

### isResponseGzipCompressed

    protected boolean isResponseGzipCompressed()

### getInputStream

    protected java.io.InputStream getInputStream()
                                          throws XmlRpcException

  Description copied from class: `XmlRpcStreamTransport`
  Returns the input stream, from which the response is being read.

  Specified by:
    `getInputStream` in class `XmlRpcStreamTransport`
  Throws:
    `XmlRpcException`

### setCredentials

    protected void setCredentials(XmlRpcHttpClientConfig pConfig)
                           throws XmlRpcClientException

  Overrides:
    `setCredentials` in class `XmlRpcHttpTransport`
  Throws:
    `XmlRpcClientException`

### close

    protected void close()
                  throws XmlRpcClientException

  Description copied from class: `XmlRpcStreamTransport`
  Closes the connection and ensures, that all resources are being released.

  Specified by:
    `close` in class `XmlRpcStreamTransport`
  Throws:
    `XmlRpcClientException`

### isResponseGzipCompressed

    protected boolean isResponseGzipCompressed(XmlRpcStreamRequestConfig pConfig)

  Description copied from class: `XmlRpcStreamTransport`
  Returns, whether the response is gzip compressed.

  Specified by:
    `isResponseGzipCompressed` in class `XmlRpcStreamTransport`
  Parameters:
    `pConfig` - The clients configuration.
  Returns:
    Whether the response stream is gzip compressed.

### isRedirectRequired

    protected boolean isRedirectRequired()

### resetClientForRedirect

    protected void resetClientForRedirect()
                                   throws XmlRpcException

  Throws:
    `XmlRpcException`

### writeRequest

    protected void writeRequest(XmlRpcStreamTransport.ReqWriter pWriter)
                         throws XmlRpcException

  Specified by:
    `writeRequest` in class `XmlRpcStreamTransport`
  Throws:
    `XmlRpcException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.